Skip to main content

Create resident payment

POSThttps://api.propexo.com/v1/resident-payments/

Create a resident payment for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    lease_idstring

    The Propexo unique identifier for the lease

    financial_account_idstring

    The Propexo unique identifier for the financial account

    resident_idstring

    The Propexo unique identifier for the resident

    transaction_datestring<date-time>

    The transaction date of the resident payment

    amount_in_centsinteger

    The amount of the resident payment, in cents

    payment_typestring

    The method of payment

    Show 8 enum values
    ACHCashCashiers CheckCheckCredit CardDebit CardeCheckMoney Order
    send_email_receiptboolean

    Indicates whether the payee would like to have a receipt emailed

    descriptionstring

    Description of the resident payment

    reference_numberstring

    The reference number for the resident payment

    charge_code_idstring

    The Propexo unique identifier for the charge code

    notesstring

    Notes associated with the resident payment

    allocate_prepaysboolean

    Whether to allocate prepays to the resident payment. This is a flag passed directly to Rent Manager

    batch_idstring

    An identifier for the transaction batch. This should be unique to your system.

    property_idstring

    The Propexo unique identifier for the property

    unit_idstring

    The Propexo unique identifier for the unit

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/resident-payments/
curl -X POST https://api.propexo.com/v1/resident-payments/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}